Page MenuHomePhabricator

Right to left languages: Notification fly-out box runs off the screen
Closed, ResolvedPublic

Description

At least of Arabic and Farsi, it is reported that the drop down, "fly-out" notifications box collides with the edge of a browser window. This was tested in FireFox and Chromium, and probably effects all right-to-left languages. Screenshot attached.


Version: unspecified
Severity: major

Details

Reference
bz55629

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 2:28 AM
bzimport added a project: Notifications.
bzimport set Reference to bz55629.
bzimport added a subscriber: Unknown Object (MLST).
Keegan created this task.Oct 11 2013, 4:43 PM

Created attachment 13476
Screenshot of the notifications fly-out running off the browser

Attached:

Change 89249 had a related patch set uploaded by Bsitu:
Notification overlay is partially hidden in RTL language

https://gerrit.wikimedia.org/r/89249

Change 89249 merged by jenkins-bot:
Notification overlay is partially hidden in RTL language

https://gerrit.wikimedia.org/r/89249

Created attachment 13488
Notifications looking okay

I can't reproduce the issue. What is this patch even supposed to fix?

Attached:

omid_h28 wrote:

Thanks Everyone, The patch solved my problem.

omid_h28 wrote:

Echo flyout bug solved

Attached:

Change 90099 had a related patch set uploaded by Bartosz Dziewoński:
Revert "Notification overlay is partially hidden in RTL language"

https://gerrit.wikimedia.org/r/90099

This is actually caused by bug 55779 in core. Let's revert the workaround once that bug is fixed.

Core bug fixed.

Change 90099 merged by jenkins-bot:
Revert "Notification overlay is partially hidden in RTL language"

https://gerrit.wikimedia.org/r/90099

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:57 PM